Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Phonogram

    java.lang.Object
      org.kemet.impl.grammar.model.Phonogram

All Implemented Interfaces:
  java.io.Serializable, IGlobals

    public class Phonogram

extends java.lang.Object
implements java.io.Serializable, IGlobals

Since:
  0.1
Author:
  fabricemaupin

  BEAN : phonogram.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Constructor Summary
`Phonogram()` instantiate the object.

Method Summary
`boolean` | `add(java.lang.Object e)` add a sign to list.
`static java.util.HashMap<java.lang.String,java.lang.String>` | `getAllPhonograms()` get all phonograms.
`static java.util.TreeMap<java.lang.String,java.lang.String[]>` | `getAllSortedPhonograms()` get all sorted phonograms.
`static Sign` | `getInformation(java.lang.String id)` return informations about phonogram.
`static int[]` | `getNumberOfPhonogramsByType()` return number of phonograms by type.
`static Phonogram[]` | `getPhonogramsByType(int typePhonogram)` get phonograms by type.
`java.util.Vector` | `getSignList()` return list of sign.
`static int` | `isPhonogram(java.lang.String sign)` sign is a phonogram ?
`void` | `setHieroglyph(java.lang.String hieroglyph)` set the path of the hieroglyph.
`void` | `setTransliterationValues(java.lang.String transliterationValues)` set the differents values of the transliteration.
`void` | `setTypePhonogram(long typePhonogram, java.lang.String kemet_data)` set the type of phonogram. optimized for display

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Phonogram

    public Phonogram()

  instantiate the object.

  Since:
    0.1

Method Detail

### getPhonogramsByType

    public static Phonogram[] getPhonogramsByType(int typePhonogram)

  get phonograms by type.

  Parameters:
    `typePhonogram` - UNILITERAL, BILITERAL, TRILITERAL, ALL, ...
  Returns:
    the phonograms
  Since:
    0.1

### getAllSortedPhonograms

    public static java.util.TreeMap<java.lang.String,java.lang.String[]> getAllSortedPhonograms()

  get all sorted phonograms.

  Returns:
    all sorted phonograms by type
  Since:
    0.4

### getAllPhonograms

    public static java.util.HashMap<java.lang.String,java.lang.String> getAllPhonograms()

  get all phonograms.

  Returns:
    all phonograms
  Since:
    0.2

### getInformation

    public static Sign getInformation(java.lang.String id)

  return informations about phonogram.

  Parameters:
    `id` - id of sign
  Returns:
    sign object
  Since:
    0.4

### isPhonogram

    public static int isPhonogram(java.lang.String sign)

  sign is a phonogram ?

  Parameters:
    `sign` - hieroglyph
  Returns:
    phonogram type else -1
  Since:
    0.1

### getSignList

    public java.util.Vector getSignList()

  return list of sign.

  Returns:
    list of sign
  Since:
    0.1

### setHieroglyph

    public void setHieroglyph(java.lang.String hieroglyph)

  set the path of the hieroglyph.

  Parameters:
    `hieroglyph` - path of the hieroglyph
  Since:
    0.4

### setTransliterationValues

    public void setTransliterationValues(java.lang.String transliterationValues)

  set the differents values of the transliteration.

  Parameters:
    `transliterationValues` - values of the transliteration (with comma)
  Since:
    0.4

### setTypePhonogram

    public void setTypePhonogram(long typePhonogram,
                                 java.lang.String kemet_data)

  set the type of phonogram. optimized for display

  Parameters:
    `typePhonogram` - UNILITERAL, BILITERAL, TRILITERAL
    `kemet_data` - path of kemet data
  Since:
    0.1

### add

    public boolean add(java.lang.Object e)

  add a sign to list.

  Parameters:
    `e` - object to add
  Returns:
    list of sign updated
  Since:
    0.1

### getNumberOfPhonogramsByType

    public static int[] getNumberOfPhonogramsByType()

  return number of phonograms by type.

  Returns:
    sign number of phonograms by type
  Since:
    0.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.